summaryrefslogtreecommitdiffstats
path: root/build-gluster-org
diff options
context:
space:
mode:
Diffstat (limited to 'build-gluster-org')
-rw-r--r--build-gluster-org/jobs/build-job.yml2
-rw-r--r--build-gluster-org/jobs/cppcheck.yml2
-rw-r--r--build-gluster-org/jobs/gd2-smoke.yml32
-rw-r--r--build-gluster-org/jobs/glusto-tests-lint.yml2
-rw-r--r--build-gluster-org/jobs/shellcheck.yml2
-rw-r--r--build-gluster-org/jobs/smoke.yml17
-rw-r--r--build-gluster-org/scripts/gd2-smoke.sh26
-rw-r--r--build-gluster-org/scripts/smoke.sh2
8 files changed, 18 insertions, 67 deletions
diff --git a/build-gluster-org/jobs/build-job.yml b/build-gluster-org/jobs/build-job.yml
index 76015c8..2e65569 100644
--- a/build-gluster-org/jobs/build-job.yml
+++ b/build-gluster-org/jobs/build-job.yml
@@ -1,6 +1,6 @@
- job:
name: build-job
- node: smoke7
+ node: smoke8
description: Pre-commit tests for build-jobs
project-type: freestyle
diff --git a/build-gluster-org/jobs/cppcheck.yml b/build-gluster-org/jobs/cppcheck.yml
index ed25799..1957d16 100644
--- a/build-gluster-org/jobs/cppcheck.yml
+++ b/build-gluster-org/jobs/cppcheck.yml
@@ -1,6 +1,6 @@
- job:
name: cppcheck
- node: smoke7
+ node: smoke8
description: Run cppcheck analysis on gluster code
project-type: freestyle
concurrent: true
diff --git a/build-gluster-org/jobs/gd2-smoke.yml b/build-gluster-org/jobs/gd2-smoke.yml
deleted file mode 100644
index 79158c5..0000000
--- a/build-gluster-org/jobs/gd2-smoke.yml
+++ /dev/null
@@ -1,32 +0,0 @@
-- job:
- name: gd2-smoke
- node: smoke7
- description: GD2 smoke test on glusterFS patch
- project-type: freestyle
- concurrent: true
-
- scm:
- - glusterfs
-
- triggers:
- - timed: "H 14 * * *"
-
- parameters:
- - string:
- default: refs/heads/master
- description: 'For review 12345 and patch set 6, this will be refs/changes/45/12345/6. Default: Tip of master'
- name: GERRIT_REFSPEC
- - string:
- default: master
- description: 'Name of the branch you want to build from. We usually build from master'
- name: GERRIT_BRANCH
-
- builders:
- - shell: !include-raw: ../scripts/gd2-smoke.sh
-
- wrappers:
- - timestamps
- - timeout:
- timeout: 30
- abort: true
- type: absolute
diff --git a/build-gluster-org/jobs/glusto-tests-lint.yml b/build-gluster-org/jobs/glusto-tests-lint.yml
index 32bb29d..f10853f 100644
--- a/build-gluster-org/jobs/glusto-tests-lint.yml
+++ b/build-gluster-org/jobs/glusto-tests-lint.yml
@@ -1,6 +1,6 @@
- job:
name: glusto-tests-lint
- node: smoke7
+ node: smoke8
description: Pre-commit tests for glusto-tests
project-type: freestyle
concurrent: true
diff --git a/build-gluster-org/jobs/shellcheck.yml b/build-gluster-org/jobs/shellcheck.yml
index 2948e51..e7443a2 100644
--- a/build-gluster-org/jobs/shellcheck.yml
+++ b/build-gluster-org/jobs/shellcheck.yml
@@ -1,6 +1,6 @@
- job:
name: shellcheck
- node: smoke7
+ node: fedora30
description: shell script validation using ShellCheck tool
project-type: freestyle
concurrent: true
diff --git a/build-gluster-org/jobs/smoke.yml b/build-gluster-org/jobs/smoke.yml
index 045ac17..3dea6a8 100644
--- a/build-gluster-org/jobs/smoke.yml
+++ b/build-gluster-org/jobs/smoke.yml
@@ -1,6 +1,16 @@
-- job:
- name: smoke
- node: smoke7
+- project:
+ name: 'smoke'
+ nodeversion:
+ - centos7:
+ node_name: centos7
+ - centos8:
+ node_name: centos8
+ jobs:
+ - '{name}-{nodeversion}'
+
+- job-template:
+ name: '{name}-{nodeversion}'
+ node: '{node_name}'
description: Pre-commit Smoke test
project-type: freestyle
concurrent: true
@@ -57,4 +67,3 @@
- file:
credential-id: http_int_credential
variable: LOG_KEY
-
diff --git a/build-gluster-org/scripts/gd2-smoke.sh b/build-gluster-org/scripts/gd2-smoke.sh
deleted file mode 100644
index b69c1bb..0000000
--- a/build-gluster-org/scripts/gd2-smoke.sh
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/bash
-
-set -e
-
-function cleanup() {
- killall glusterfs etcd make glusterd2
- sleep 5
- killall -9 glusterfs etcd make glusterd2
-}
-
-trap cleanup ERR
-
-JDIRS="/var/log/glusterfs /var/lib/glusterd /var/run/gluster /build"
-sudo rm -rf $JDIRS
-sudo mkdir -p $JDIRS || true
-echo Return code = $?
-sudo chown -RH jenkins:jenkins $JDIRS
-echo Return code = $?
-sudo chmod -R 755 $JDIRS
-echo Return code = $?
-
-# build the glusterfs source code
-/opt/qa/build.sh
-
-# run gd2 tests script
-/opt/qa/glusterd2-test.sh
diff --git a/build-gluster-org/scripts/smoke.sh b/build-gluster-org/scripts/smoke.sh
index 49c8c73..27021d5 100644
--- a/build-gluster-org/scripts/smoke.sh
+++ b/build-gluster-org/scripts/smoke.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-BURL=${BUILD_URL}consoleFull
+BURL="$BUILD_URL"consoleFull
JDIRS="/var/log/glusterfs /var/lib/glusterd /var/lib/glusterd/groups/virt /var/run/gluster /d /d/archived_builds /d/backends /d/build /d/logs /home/jenkins/root /build/*"
sudo mkdir -p $JDIRS